[MIR] python-novaclient

Bug #825127 reported by Dave Walker on 2011-08-12
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
prettytable (Ubuntu)
Undecided
James Page
python-novaclient (Ubuntu)
Undecided
Unassigned

Bug Description

Availability: Package already in universe
Rationale: Part of OpenStack adoption as primary Cloud platform for Ubuntu, dependency of python-nova.
Security: Unable to find any CVE reports
Quality assurance: Testsuite present but not enabled during build (needs Fixing), dh_python2 transition incomplete.
Dependencies: python-prettytable is in universe (needs updates for MIR - see bug 825110).

Dave Walker (davewalker) on 2011-08-12
Changed in python-novaclient (Ubuntu):
status: New → Incomplete
tags: added: server-o-mir
James Page (james-page) on 2011-08-16
Changed in python-novaclient (Ubuntu):
assignee: nobody → James Page (james-page)
James Page (james-page) on 2011-08-16
description: updated
description: updated
James Page (james-page) wrote :

Marking task for prettytable as Invalid as already under MIR bug 825110.

Changed in prettytable (Ubuntu):
status: New → Incomplete
assignee: nobody → James Page (james-page)
description: updated
Changed in prettytable (Ubuntu):
status: Incomplete → Invalid
James Page (james-page) on 2011-08-16
Changed in python-novaclient (Ubuntu):
status: Incomplete → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-novaclient - 2.6.1~bzr78-0ubuntu1

---------------
python-novaclient (2.6.1~bzr78-0ubuntu1) oneiric; urgency=low

  [ Chuck Short ]
  * New upstream version.

  [ James Page ]
  * Updates to support Ubuntu MIR (LP: #825127):
    - debian/rules:
      - Completed dh_python2 transition.
      - Enabled test suite.
    - debian/control:
      - Bumped Standards-Version: 3.9.2, no changes.
 -- Chuck Short <email address hidden> Fri, 26 Aug 2011 14:02:03 -0400

Changed in python-novaclient (Ubuntu):
status: In Progress → Fix Released
Matthias Klose (doko) on 2011-08-27
Changed in python-novaclient (Ubuntu):
status: Fix Released → New
Dave Walker (davewalker) on 2011-08-27
Changed in python-novaclient (Ubuntu):
assignee: James Page (james-page) → nobody
Michael Terry (mterry) wrote :

Looks mostly fine. Would be nice to see an Ubuntu bug subscriber.

The one blocker is that the python-novaclient installs files into the inappropriately non-namespaced /usr/share/pyshared/tests. It probably doesn't need to install the tests at all.

Changed in python-novaclient (Ubuntu):
status: New → Incomplete
Robie Basak (racb) wrote :

See bug 838298 about fixing the installation of the tests.

Michael Terry (mterry) on 2011-09-06
Changed in python-novaclient (Ubuntu):
status: Incomplete → Fix Committed
Matthias Klose (doko) wrote :

2011-09-08 10:03:56 INFO Override Component to: 'main'
2011-09-08 10:03:56 INFO 'python-novaclient - 2.6.4~bzr110-0ubuntu1/universe/python' source overridden
2011-09-08 10:03:56 INFO 'python-novaclient-2.6.4~bzr110-0ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/amd64
2011-09-08 10:03:56 INFO 'python-novaclient-2.6.4~bzr110-0ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/armel
2011-09-08 10:03:56 INFO 'python-novaclient-2.6.4~bzr110-0ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/i386
2011-09-08 10:03:56 INFO 'python-novaclient-2.6.4~bzr110-0ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/powerpc

Changed in python-novaclient (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers